查看云服务区域 (V2)
本接口列出所有可用的云区域,也可以只列出特定云提供商的适用区域。
GET/v2/regions
该 API 的 Base URL 格式如下:
https://api.cloud.zilliz.com
📘说明
控制面接口速率限制为单用户单接口每秒最多 20 个请求。
shell
export BASE_URL="https://api.cloud.zilliz.com"
参数
Authorizationstringheader必填项
认证令牌,应为具备适当权限的 API 密钥。
示例值:Bearer {{TOKEN}}
Acceptstringheader
使用 application/json。
示例值:application/json
bash
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/regions" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应200 OK - application/json
返回指定云地域的详细信息。
codeinteger
响应码。
dataarray
响应负载。
[]dataobject
可用云地域列表。
cloudIdstring
提供指定云地域的云服务商 ID。
regionIdstring
云地域 ID。
domainstring
控制面 V2 API 服务器的 Base URL。
返回错误消息。
codeinteger
响应码。
messagestring
错误描述。
Successjson
{
"code": 0,
"data": [
{
"cloudId": "ali",
"regionId": "ali-cn-hangzhou",
"domain": "api.cloud.zilliz.com.cn"
},
{
"cloudId": "tc",
"regionId": "tc-ap-beijing",
"domain": "api.cloud.zilliz.com.cn"
}
]
}